
lib_LIBRARIES = libss.a
bin_PROGRAMS = mk_cmds

YFLAGS=-d

BUILT_SOURCES = ss_err.c

lib_foo = ss_err.c \
	data.c \
	help.c \
	error.c \
	execute_cmd.c \
	invocation.c \
	list_rqs.c \
	listen.c \
	pager.c \
	parse.c \
	prompt.c \
	request_tbl.c \
	requests.c \
	std_rqs.c
	 
mk_foo = mk_cmds.c \
	utils.c \
	options.c \
	ct.y \
	cmd_tbl.l \
	ss_err.c 


INCLUDES += -I../../include -I$(srcdir)/../../include  $(CPPFLAGS_roken)

mk_cmds_SOURCES = $(mk_foo)
libss_a_SOURCES = $(lib_foo)

mk_cmds_LDADD = -L../et -lcom_err

$(lib_foo): ../../lib/ss/ss_err.h

ss_err.c ../../lib/ss/ss_err.h: ss_err.et
	$(RM) -f ../../include/ss/ss_err.h
	$(COMPILE_ET) $(srcdir)/ss_err.et
	$(LN_S) ../../lib/ss/ss_err.h ../../include/ss/ss_err.h

std_rqs.c: std_rqs.ct mk_cmds
	./mk_cmds $(srcdir)/std_rqs.ct
